import { LocalStorageService } from './local-storage.service';
import * as i0 from "@angular/core";
export declare class LocalStorageEncryptionService {
    private localStorageService;
    secretKey: string;
    constructor(localStorageService: LocalStorageService);
    addLocalStorageItem(itemKey: string, itemValue: string): void;
    getLocalStorageItem(key: string): string;
    changeSelectedPlanId(planKey: string, planId: number): void;
    getSelectedPlanId(planKey: string): number | undefined;
    encryptData(data: string): string;
    decryptData(encryptedData: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageEncryptionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalStorageEncryptionService>;
}
